This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 26082 - LPRngTool package not on install cd's
LPRngTool package not on install cd's
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-05 09:06 EST by Marcel van Groenigen
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-10 21:58:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel van Groenigen 2001-02-05 09:06:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)


I tried to install a printer using printtool in the kde control-panel. got 
error program not found. Please install the LPRngTool package.
I searched the cd's 1,2 and powertools but cant find it
checked MD5SUM's for CD's and they are OK

Reproducible: Always
Steps to Reproduce:
Do a full install and try to configure a printer
Comment 1 Marcel van Groenigen 2001-02-06 18:19:35 EST
OK... seems this version of redhat is using an other print filter/config 
program.

do

ln /usr/sbin/printconf-gui /usr/bin/lprngtool

and you can at least start something from the KDE contol panel to configure a 
printer. (Gnome has no print config .....? )

but it is still incomplete
the smbprint, jetdirectprint and ncpprint are missing from the 
/usr/lib/rhs/printconf directory.
you can get them out of the source rpm 
printconf-0.0-15.src.rpm

now i can print from shell but kde only sees some :lp= printer so cant print 
anything from there.. any hints how to solve/where to configure this ?
Comment 2 Elton Woo 2001-02-10 21:58:45 EST
related words: printconf, LPRING, EOF, printtool
related bugs: 25445, 25870, 26082, 26441, 26996.

After browsing the above bug reports, I have succeeded in configuring
and getting normal printing fundtions:

1) I verified that prctl, printconf, printconf-gui and ghostscript were
installed.

2) Using SysV-Init Editor from the KDE Control Panel, I dragged lpd to Runlevel
3, No.11.

2) Reboot, then from a console I did:
	# /usr/sbin/printconf-gui.
	...selected "new", and "created" lp0
	"Edit" invoked the list of drivers, and designated my Epson Stylus to use
stcolor.

3) In konqueror, changed /dev/lp0 to rw, rw, rw (default was rw,rw)

	I am now able to print text and graphics!
 
Not the most elegant solution, but hey! *I* AM a newbie!  ;-)

Elton Woo ;-)
Comment 3 Crutcher Dunnavant 2001-03-09 18:48:52 EST
This is fixed (and was a 'kontrol-panel' bug)

Note You need to log in before you can comment on or make changes to this bug.